
dump -- display file contents in hex/ASCII (EXTERNAL) [v1.2]

syntax:  dump <pathname> [-a] [-h] [-o] [-s <start_pos>] [-e <end_pos>]

ex:      dump that.file
         dump ?:sys -o
         dump my.file -s$100 -e512

'dump' displays the contents of a file in hex and/or ASCII. Wildcards
are allowed.

   -h display in hex
   -a display in ASCII

If neither -h nor -a is given, the dump is in BOTH hex and ASCII.
Non-printable characters in the ASCII dump are displayed as periods.

Each line begins with an "offset" in hex from the beginning of the
file (the first byte has offset 0).  Use -o to stop the offsets from
appearing.

You can use the -s option to begin the dump somewhere other than the
beginning of the file (offset 0), and you can use -e to end the dump
somewhere other than the end of the file.

Note:  'dump' is useful for looking at the exact contents of
       directories (both subdirectories and volume directories),
       not just for standard files.  (This is no extra work for
       'dump'; ProDOS simply allows directories to be opened and
       read the same way as other files.)
